Public Configs¶
Reference for the public_configs endpoints of the Surfmeter API.
Surfmeter API – Public Configs v1¶
The Surfmeter API lets you manage clients, users, capabilities, measurements, and organization-wide settings programmatically.
Servers¶
| Description | URL |
|---|---|
| https://surfmeter-server.{host}/client_admin_api/v1 | https://surfmeter-server.{host}/client_admin_api/v1 |
Public Configs¶
GET /public_configs¶
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
ApiKeyAuth |
header | string | N/A | No | API key used on every request. Create keys in the Surfmeter Dashboard under Keys → Surfmeter API Keys. |
Response 200 OK
{
"public_configs": [
{
"id": 0,
"name": "string",
"description": "string",
"import_source": "string",
"is_default": true,
"created_at": "string",
"updated_at": "string",
"draft_version_id": 0,
"published_version_id": 0,
"draft_revision": 0,
"published_revision": 0
}
]
}
Schema of the response body
{
"type": "object",
"properties": {
"public_configs": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"name": {
"type": "string"
},
"description": {
"type": "string",
"nullable": true
},
"import_source": {
"type": "string",
"nullable": true
},
"is_default": {
"type": "boolean"
},
"created_at": {
"type": "string"
},
"updated_at": {
"type": "string"
},
"draft_version_id": {
"type": "integer",
"nullable": true
},
"published_version_id": {
"type": "integer",
"nullable": true
},
"draft_revision": {
"type": "integer",
"nullable": true
},
"published_revision": {
"type": "integer",
"nullable": true
}
},
"required": [
"id",
"name",
"is_default",
"created_at",
"updated_at",
"draft_version_id",
"published_version_id"
]
}
}
},
"required": [
"public_configs"
]
}
POST /public_configs¶
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
ApiKeyAuth |
header | string | N/A | No | API key used on every request. Create keys in the Surfmeter Dashboard under Keys → Surfmeter API Keys. |
Request body
Response 201 Created
{
"public_config": {
"id": 0,
"name": "string",
"description": "string",
"import_source": "string",
"is_default": true,
"created_at": "string",
"updated_at": "string",
"draft_version_id": 0,
"published_version_id": 0,
"draft_revision": 0,
"published_revision": 0,
"draft_version": {
"id": 0,
"revision": 0,
"data": {},
"data_hash": "string",
"created_at": "string",
"updated_at": "string",
"created_by_id": 0,
"created_by_name": "string",
"published_at": "string",
"published_by_id": 0,
"published_by_name": "string",
"published": true,
"study_count": 0,
"studies": [
{
"id": 0,
"position": 0,
"study_description_version_id": 0,
"study_description_id": 0,
"revision": 0,
"latest_revision": 0,
"latest_version_id": 0,
"name": "string",
"study_id": "string",
"study_type": "string",
"subject": "string",
"internal_id": "string"
}
]
},
"published_version": {
"id": 0,
"revision": 0,
"data": {},
"data_hash": "string",
"created_at": "string",
"updated_at": "string",
"created_by_id": 0,
"created_by_name": "string",
"published_at": "string",
"published_by_id": 0,
"published_by_name": "string",
"published": true,
"study_count": 0,
"studies": [
{
"id": 0,
"position": 0,
"study_description_version_id": 0,
"study_description_id": 0,
"revision": 0,
"latest_revision": 0,
"latest_version_id": 0,
"name": "string",
"study_id": "string",
"study_type": "string",
"subject": "string",
"internal_id": "string"
}
]
},
"revisions": [
{
"id": 0,
"revision": 0,
"data_hash": "string",
"created_at": "string",
"updated_at": "string",
"created_by_id": 0,
"created_by_name": "string",
"published_at": "string",
"published_by_id": 0,
"published_by_name": "string",
"published": true,
"study_count": 0
}
],
"delivered_client_count": 0,
"delivered_clients": [
{
"id": 0,
"uuid": "string",
"label": "string",
"last_seen_at": "2026-01-15T10:30:00Z"
}
],
"schedule_configs": [
{
"id": 0,
"name": "string",
"is_default": true,
"draft_revision": 0,
"published_revision": 0,
"study_ids": [
"string"
]
}
],
"warnings": [
"string"
]
}
}
Schema of the response body
{
"type": "object",
"properties": {
"public_config": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"name": {
"type": "string"
},
"description": {
"type": "string",
"nullable": true
},
"import_source": {
"type": "string",
"nullable": true
},
"is_default": {
"type": "boolean"
},
"created_at": {
"type": "string"
},
"updated_at": {
"type": "string"
},
"draft_version_id": {
"type": "integer",
"nullable": true
},
"published_version_id": {
"type": "integer",
"nullable": true
},
"draft_revision": {
"type": "integer",
"nullable": true
},
"published_revision": {
"type": "integer",
"nullable": true
},
"draft_version": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"revision": {
"type": "integer"
},
"data": {
"type": "object"
},
"data_hash": {
"type": "string"
},
"created_at": {
"type": "string"
},
"updated_at": {
"type": "string"
},
"created_by_id": {
"type": "integer",
"nullable": true
},
"created_by_name": {
"type": "string",
"nullable": true
},
"published_at": {
"type": "string",
"nullable": true
},
"published_by_id": {
"type": "integer",
"nullable": true
},
"published_by_name": {
"type": "string",
"nullable": true
},
"published": {
"type": "boolean"
},
"study_count": {
"type": "integer"
},
"studies": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"position": {
"type": "integer"
},
"study_description_version_id": {
"type": "integer"
},
"study_description_id": {
"type": "integer"
},
"revision": {
"type": "integer"
},
"latest_revision": {
"type": "integer",
"description": "The newest revision of the study",
"nullable": true
},
"latest_version_id": {
"type": "integer",
"description": "The study description version of the newest revision",
"nullable": true
},
"name": {
"type": "string"
},
"study_id": {
"type": "string"
},
"study_type": {
"type": "string"
},
"subject": {
"type": "string"
},
"internal_id": {
"type": "string"
}
},
"required": [
"id",
"position",
"study_description_version_id",
"study_description_id",
"name",
"study_id",
"study_type",
"subject",
"internal_id",
"revision"
]
}
}
},
"required": [
"id",
"revision",
"data",
"data_hash",
"created_at",
"updated_at",
"published",
"study_count",
"studies"
],
"nullable": true
},
"published_version": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"revision": {
"type": "integer"
},
"data": {
"type": "object"
},
"data_hash": {
"type": "string"
},
"created_at": {
"type": "string"
},
"updated_at": {
"type": "string"
},
"created_by_id": {
"type": "integer",
"nullable": true
},
"created_by_name": {
"type": "string",
"nullable": true
},
"published_at": {
"type": "string",
"nullable": true
},
"published_by_id": {
"type": "integer",
"nullable": true
},
"published_by_name": {
"type": "string",
"nullable": true
},
"published": {
"type": "boolean"
},
"study_count": {
"type": "integer"
},
"studies": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"position": {
"type": "integer"
},
"study_description_version_id": {
"type": "integer"
},
"study_description_id": {
"type": "integer"
},
"revision": {
"type": "integer"
},
"latest_revision": {
"type": "integer",
"description": "The newest revision of the study",
"nullable": true
},
"latest_version_id": {
"type": "integer",
"description": "The study description version of the newest revision",
"nullable": true
},
"name": {
"type": "string"
},
"study_id": {
"type": "string"
},
"study_type": {
"type": "string"
},
"subject": {
"type": "string"
},
"internal_id": {
"type": "string"
}
},
"required": [
"id",
"position",
"study_description_version_id",
"study_description_id",
"name",
"study_id",
"study_type",
"subject",
"internal_id",
"revision"
]
}
}
},
"required": [
"id",
"revision",
"data",
"data_hash",
"created_at",
"updated_at",
"published",
"study_count",
"studies"
],
"nullable": true
},
"revisions": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"revision": {
"type": "integer"
},
"data_hash": {
"type": "string"
},
"created_at": {
"type": "string"
},
"updated_at": {
"type": "string"
},
"created_by_id": {
"type": "integer",
"nullable": true
},
"created_by_name": {
"type": "string",
"nullable": true
},
"published_at": {
"type": "string",
"nullable": true
},
"published_by_id": {
"type": "integer",
"nullable": true
},
"published_by_name": {
"type": "string",
"nullable": true
},
"published": {
"type": "boolean"
},
"study_count": {
"type": "integer"
}
},
"required": [
"id",
"revision",
"data_hash",
"created_at",
"updated_at",
"published",
"study_count"
]
}
},
"delivered_client_count": {
"type": "integer",
"description": "Managed clients that get this config at their next check"
},
"delivered_clients": {
"type": "array",
"description": "Managed clients that get this config at their next check, sorted by label",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"uuid": {
"type": "string"
},
"label": {
"type": "string",
"nullable": true
},
"last_seen_at": {
"type": "string",
"format": "date-time",
"nullable": true,
"example": "2026-01-15T10:30:00Z"
}
},
"required": [
"id",
"uuid",
"label",
"last_seen_at"
]
}
},
"schedule_configs": {
"type": "array",
"description": "Schedule configs that use this measurement config, sorted by name",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"name": {
"type": "string"
},
"is_default": {
"type": "boolean"
},
"draft_revision": {
"type": "integer",
"nullable": true
},
"published_revision": {
"type": "integer",
"nullable": true
},
"study_ids": {
"type": "array",
"description": "Studies that the draft or the published version schedules",
"items": {
"type": "string"
}
}
},
"required": [
"id",
"name",
"is_default",
"draft_revision",
"published_revision",
"study_ids"
]
}
},
"warnings": {
"type": "array",
"items": {
"type": "string"
}
}
},
"required": [
"id",
"name",
"is_default",
"created_at",
"updated_at",
"draft_version_id",
"published_version_id",
"revisions",
"warnings",
"delivered_client_count",
"delivered_clients",
"schedule_configs"
]
}
},
"required": [
"public_config"
]
}
POST /public_configs/import¶
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
ApiKeyAuth |
header | string | N/A | No | API key used on every request. Create keys in the Surfmeter Dashboard under Keys → Surfmeter API Keys. |
Request body
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.
Response 200 OK
{
"public_config": {
"id": 0,
"name": "string",
"description": "string",
"import_source": "string",
"is_default": true,
"created_at": "string",
"updated_at": "string",
"draft_version_id": 0,
"published_version_id": 0,
"draft_revision": 0,
"published_revision": 0,
"draft_version": {
"id": 0,
"revision": 0,
"data": {},
"data_hash": "string",
"created_at": "string",
"updated_at": "string",
"created_by_id": 0,
"created_by_name": "string",
"published_at": "string",
"published_by_id": 0,
"published_by_name": "string",
"published": true,
"study_count": 0,
"studies": [
{
"id": 0,
"position": 0,
"study_description_version_id": 0,
"study_description_id": 0,
"revision": 0,
"latest_revision": 0,
"latest_version_id": 0,
"name": "string",
"study_id": "string",
"study_type": "string",
"subject": "string",
"internal_id": "string"
}
]
},
"published_version": {
"id": 0,
"revision": 0,
"data": {},
"data_hash": "string",
"created_at": "string",
"updated_at": "string",
"created_by_id": 0,
"created_by_name": "string",
"published_at": "string",
"published_by_id": 0,
"published_by_name": "string",
"published": true,
"study_count": 0,
"studies": [
{
"id": 0,
"position": 0,
"study_description_version_id": 0,
"study_description_id": 0,
"revision": 0,
"latest_revision": 0,
"latest_version_id": 0,
"name": "string",
"study_id": "string",
"study_type": "string",
"subject": "string",
"internal_id": "string"
}
]
},
"revisions": [
{
"id": 0,
"revision": 0,
"data_hash": "string",
"created_at": "string",
"updated_at": "string",
"created_by_id": 0,
"created_by_name": "string",
"published_at": "string",
"published_by_id": 0,
"published_by_name": "string",
"published": true,
"study_count": 0
}
],
"delivered_client_count": 0,
"delivered_clients": [
{
"id": 0,
"uuid": "string",
"label": "string",
"last_seen_at": "2026-01-15T10:30:00Z"
}
],
"schedule_configs": [
{
"id": 0,
"name": "string",
"is_default": true,
"draft_revision": 0,
"published_revision": 0,
"study_ids": [
"string"
]
}
],
"warnings": [
"string"
]
},
"import": {
"study_descriptions": [
{
"study_id": "string",
"action": "created",
"study_description_id": 0,
"name": "string",
"study_description_version_id": 0,
"revision": 0,
"from_revision": 0
}
],
"service_credentials": [
{
"service": "string",
"action": "created",
"service_credential_id": 0,
"reason": "string"
}
],
"warnings": [
"string"
]
}
}
Schema of the response body
{
"type": "object",
"properties": {
"public_config": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"name": {
"type": "string"
},
"description": {
"type": "string",
"nullable": true
},
"import_source": {
"type": "string",
"nullable": true
},
"is_default": {
"type": "boolean"
},
"created_at": {
"type": "string"
},
"updated_at": {
"type": "string"
},
"draft_version_id": {
"type": "integer",
"nullable": true
},
"published_version_id": {
"type": "integer",
"nullable": true
},
"draft_revision": {
"type": "integer",
"nullable": true
},
"published_revision": {
"type": "integer",
"nullable": true
},
"draft_version": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"revision": {
"type": "integer"
},
"data": {
"type": "object"
},
"data_hash": {
"type": "string"
},
"created_at": {
"type": "string"
},
"updated_at": {
"type": "string"
},
"created_by_id": {
"type": "integer",
"nullable": true
},
"created_by_name": {
"type": "string",
"nullable": true
},
"published_at": {
"type": "string",
"nullable": true
},
"published_by_id": {
"type": "integer",
"nullable": true
},
"published_by_name": {
"type": "string",
"nullable": true
},
"published": {
"type": "boolean"
},
"study_count": {
"type": "integer"
},
"studies": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"position": {
"type": "integer"
},
"study_description_version_id": {
"type": "integer"
},
"study_description_id": {
"type": "integer"
},
"revision": {
"type": "integer"
},
"latest_revision": {
"type": "integer",
"description": "The newest revision of the study",
"nullable": true
},
"latest_version_id": {
"type": "integer",
"description": "The study description version of the newest revision",
"nullable": true
},
"name": {
"type": "string"
},
"study_id": {
"type": "string"
},
"study_type": {
"type": "string"
},
"subject": {
"type": "string"
},
"internal_id": {
"type": "string"
}
},
"required": [
"id",
"position",
"study_description_version_id",
"study_description_id",
"name",
"study_id",
"study_type",
"subject",
"internal_id",
"revision"
]
}
}
},
"required": [
"id",
"revision",
"data",
"data_hash",
"created_at",
"updated_at",
"published",
"study_count",
"studies"
],
"nullable": true
},
"published_version": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"revision": {
"type": "integer"
},
"data": {
"type": "object"
},
"data_hash": {
"type": "string"
},
"created_at": {
"type": "string"
},
"updated_at": {
"type": "string"
},
"created_by_id": {
"type": "integer",
"nullable": true
},
"created_by_name": {
"type": "string",
"nullable": true
},
"published_at": {
"type": "string",
"nullable": true
},
"published_by_id": {
"type": "integer",
"nullable": true
},
"published_by_name": {
"type": "string",
"nullable": true
},
"published": {
"type": "boolean"
},
"study_count": {
"type": "integer"
},
"studies": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"position": {
"type": "integer"
},
"study_description_version_id": {
"type": "integer"
},
"study_description_id": {
"type": "integer"
},
"revision": {
"type": "integer"
},
"latest_revision": {
"type": "integer",
"description": "The newest revision of the study",
"nullable": true
},
"latest_version_id": {
"type": "integer",
"description": "The study description version of the newest revision",
"nullable": true
},
"name": {
"type": "string"
},
"study_id": {
"type": "string"
},
"study_type": {
"type": "string"
},
"subject": {
"type": "string"
},
"internal_id": {
"type": "string"
}
},
"required": [
"id",
"position",
"study_description_version_id",
"study_description_id",
"name",
"study_id",
"study_type",
"subject",
"internal_id",
"revision"
]
}
}
},
"required": [
"id",
"revision",
"data",
"data_hash",
"created_at",
"updated_at",
"published",
"study_count",
"studies"
],
"nullable": true
},
"revisions": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"revision": {
"type": "integer"
},
"data_hash": {
"type": "string"
},
"created_at": {
"type": "string"
},
"updated_at": {
"type": "string"
},
"created_by_id": {
"type": "integer",
"nullable": true
},
"created_by_name": {
"type": "string",
"nullable": true
},
"published_at": {
"type": "string",
"nullable": true
},
"published_by_id": {
"type": "integer",
"nullable": true
},
"published_by_name": {
"type": "string",
"nullable": true
},
"published": {
"type": "boolean"
},
"study_count": {
"type": "integer"
}
},
"required": [
"id",
"revision",
"data_hash",
"created_at",
"updated_at",
"published",
"study_count"
]
}
},
"delivered_client_count": {
"type": "integer",
"description": "Managed clients that get this config at their next check"
},
"delivered_clients": {
"type": "array",
"description": "Managed clients that get this config at their next check, sorted by label",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"uuid": {
"type": "string"
},
"label": {
"type": "string",
"nullable": true
},
"last_seen_at": {
"type": "string",
"format": "date-time",
"nullable": true,
"example": "2026-01-15T10:30:00Z"
}
},
"required": [
"id",
"uuid",
"label",
"last_seen_at"
]
}
},
"schedule_configs": {
"type": "array",
"description": "Schedule configs that use this measurement config, sorted by name",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"name": {
"type": "string"
},
"is_default": {
"type": "boolean"
},
"draft_revision": {
"type": "integer",
"nullable": true
},
"published_revision": {
"type": "integer",
"nullable": true
},
"study_ids": {
"type": "array",
"description": "Studies that the draft or the published version schedules",
"items": {
"type": "string"
}
}
},
"required": [
"id",
"name",
"is_default",
"draft_revision",
"published_revision",
"study_ids"
]
}
},
"warnings": {
"type": "array",
"items": {
"type": "string"
}
}
},
"required": [
"id",
"name",
"is_default",
"created_at",
"updated_at",
"draft_version_id",
"published_version_id",
"revisions",
"warnings",
"delivered_client_count",
"delivered_clients",
"schedule_configs"
]
},
"import": {
"type": "object",
"properties": {
"study_descriptions": {
"type": "array",
"items": {
"type": "object",
"properties": {
"study_id": {
"type": "string"
},
"action": {
"type": "string",
"enum": [
"created",
"reused",
"version_added"
]
},
"study_description_id": {
"type": "integer"
},
"name": {
"type": "string"
},
"study_description_version_id": {
"type": "integer"
},
"revision": {
"type": "integer"
},
"from_revision": {
"type": "integer",
"nullable": true
}
},
"required": [
"study_id",
"action",
"study_description_id",
"name",
"study_description_version_id",
"revision",
"from_revision"
]
}
},
"service_credentials": {
"type": "array",
"items": {
"type": "object",
"properties": {
"service": {
"type": "string"
},
"action": {
"type": "string",
"enum": [
"created",
"skipped"
]
},
"service_credential_id": {
"type": "integer",
"nullable": true
},
"reason": {
"type": "string",
"nullable": true
}
},
"required": [
"service",
"action",
"service_credential_id",
"reason"
]
}
},
"warnings": {
"type": "array",
"items": {
"type": "string"
}
}
},
"required": [
"study_descriptions",
"service_credentials",
"warnings"
]
}
},
"required": [
"public_config",
"import"
]
}
GET /public_configs/{id}¶
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
ApiKeyAuth |
header | string | N/A | No | API key used on every request. Create keys in the Surfmeter Dashboard under Keys → Surfmeter API Keys. |
id |
path | string | No |
Response 200 OK
{
"public_config": {
"id": 0,
"name": "string",
"description": "string",
"import_source": "string",
"is_default": true,
"created_at": "string",
"updated_at": "string",
"draft_version_id": 0,
"published_version_id": 0,
"draft_revision": 0,
"published_revision": 0,
"draft_version": {
"id": 0,
"revision": 0,
"data": {},
"data_hash": "string",
"created_at": "string",
"updated_at": "string",
"created_by_id": 0,
"created_by_name": "string",
"published_at": "string",
"published_by_id": 0,
"published_by_name": "string",
"published": true,
"study_count": 0,
"studies": [
{
"id": 0,
"position": 0,
"study_description_version_id": 0,
"study_description_id": 0,
"revision": 0,
"latest_revision": 0,
"latest_version_id": 0,
"name": "string",
"study_id": "string",
"study_type": "string",
"subject": "string",
"internal_id": "string"
}
]
},
"published_version": {
"id": 0,
"revision": 0,
"data": {},
"data_hash": "string",
"created_at": "string",
"updated_at": "string",
"created_by_id": 0,
"created_by_name": "string",
"published_at": "string",
"published_by_id": 0,
"published_by_name": "string",
"published": true,
"study_count": 0,
"studies": [
{
"id": 0,
"position": 0,
"study_description_version_id": 0,
"study_description_id": 0,
"revision": 0,
"latest_revision": 0,
"latest_version_id": 0,
"name": "string",
"study_id": "string",
"study_type": "string",
"subject": "string",
"internal_id": "string"
}
]
},
"revisions": [
{
"id": 0,
"revision": 0,
"data_hash": "string",
"created_at": "string",
"updated_at": "string",
"created_by_id": 0,
"created_by_name": "string",
"published_at": "string",
"published_by_id": 0,
"published_by_name": "string",
"published": true,
"study_count": 0
}
],
"delivered_client_count": 0,
"delivered_clients": [
{
"id": 0,
"uuid": "string",
"label": "string",
"last_seen_at": "2026-01-15T10:30:00Z"
}
],
"schedule_configs": [
{
"id": 0,
"name": "string",
"is_default": true,
"draft_revision": 0,
"published_revision": 0,
"study_ids": [
"string"
]
}
],
"warnings": [
"string"
]
}
}
Schema of the response body
{
"type": "object",
"properties": {
"public_config": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"name": {
"type": "string"
},
"description": {
"type": "string",
"nullable": true
},
"import_source": {
"type": "string",
"nullable": true
},
"is_default": {
"type": "boolean"
},
"created_at": {
"type": "string"
},
"updated_at": {
"type": "string"
},
"draft_version_id": {
"type": "integer",
"nullable": true
},
"published_version_id": {
"type": "integer",
"nullable": true
},
"draft_revision": {
"type": "integer",
"nullable": true
},
"published_revision": {
"type": "integer",
"nullable": true
},
"draft_version": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"revision": {
"type": "integer"
},
"data": {
"type": "object"
},
"data_hash": {
"type": "string"
},
"created_at": {
"type": "string"
},
"updated_at": {
"type": "string"
},
"created_by_id": {
"type": "integer",
"nullable": true
},
"created_by_name": {
"type": "string",
"nullable": true
},
"published_at": {
"type": "string",
"nullable": true
},
"published_by_id": {
"type": "integer",
"nullable": true
},
"published_by_name": {
"type": "string",
"nullable": true
},
"published": {
"type": "boolean"
},
"study_count": {
"type": "integer"
},
"studies": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"position": {
"type": "integer"
},
"study_description_version_id": {
"type": "integer"
},
"study_description_id": {
"type": "integer"
},
"revision": {
"type": "integer"
},
"latest_revision": {
"type": "integer",
"description": "The newest revision of the study",
"nullable": true
},
"latest_version_id": {
"type": "integer",
"description": "The study description version of the newest revision",
"nullable": true
},
"name": {
"type": "string"
},
"study_id": {
"type": "string"
},
"study_type": {
"type": "string"
},
"subject": {
"type": "string"
},
"internal_id": {
"type": "string"
}
},
"required": [
"id",
"position",
"study_description_version_id",
"study_description_id",
"name",
"study_id",
"study_type",
"subject",
"internal_id",
"revision"
]
}
}
},
"required": [
"id",
"revision",
"data",
"data_hash",
"created_at",
"updated_at",
"published",
"study_count",
"studies"
],
"nullable": true
},
"published_version": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"revision": {
"type": "integer"
},
"data": {
"type": "object"
},
"data_hash": {
"type": "string"
},
"created_at": {
"type": "string"
},
"updated_at": {
"type": "string"
},
"created_by_id": {
"type": "integer",
"nullable": true
},
"created_by_name": {
"type": "string",
"nullable": true
},
"published_at": {
"type": "string",
"nullable": true
},
"published_by_id": {
"type": "integer",
"nullable": true
},
"published_by_name": {
"type": "string",
"nullable": true
},
"published": {
"type": "boolean"
},
"study_count": {
"type": "integer"
},
"studies": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"position": {
"type": "integer"
},
"study_description_version_id": {
"type": "integer"
},
"study_description_id": {
"type": "integer"
},
"revision": {
"type": "integer"
},
"latest_revision": {
"type": "integer",
"description": "The newest revision of the study",
"nullable": true
},
"latest_version_id": {
"type": "integer",
"description": "The study description version of the newest revision",
"nullable": true
},
"name": {
"type": "string"
},
"study_id": {
"type": "string"
},
"study_type": {
"type": "string"
},
"subject": {
"type": "string"
},
"internal_id": {
"type": "string"
}
},
"required": [
"id",
"position",
"study_description_version_id",
"study_description_id",
"name",
"study_id",
"study_type",
"subject",
"internal_id",
"revision"
]
}
}
},
"required": [
"id",
"revision",
"data",
"data_hash",
"created_at",
"updated_at",
"published",
"study_count",
"studies"
],
"nullable": true
},
"revisions": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"revision": {
"type": "integer"
},
"data_hash": {
"type": "string"
},
"created_at": {
"type": "string"
},
"updated_at": {
"type": "string"
},
"created_by_id": {
"type": "integer",
"nullable": true
},
"created_by_name": {
"type": "string",
"nullable": true
},
"published_at": {
"type": "string",
"nullable": true
},
"published_by_id": {
"type": "integer",
"nullable": true
},
"published_by_name": {
"type": "string",
"nullable": true
},
"published": {
"type": "boolean"
},
"study_count": {
"type": "integer"
}
},
"required": [
"id",
"revision",
"data_hash",
"created_at",
"updated_at",
"published",
"study_count"
]
}
},
"delivered_client_count": {
"type": "integer",
"description": "Managed clients that get this config at their next check"
},
"delivered_clients": {
"type": "array",
"description": "Managed clients that get this config at their next check, sorted by label",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"uuid": {
"type": "string"
},
"label": {
"type": "string",
"nullable": true
},
"last_seen_at": {
"type": "string",
"format": "date-time",
"nullable": true,
"example": "2026-01-15T10:30:00Z"
}
},
"required": [
"id",
"uuid",
"label",
"last_seen_at"
]
}
},
"schedule_configs": {
"type": "array",
"description": "Schedule configs that use this measurement config, sorted by name",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"name": {
"type": "string"
},
"is_default": {
"type": "boolean"
},
"draft_revision": {
"type": "integer",
"nullable": true
},
"published_revision": {
"type": "integer",
"nullable": true
},
"study_ids": {
"type": "array",
"description": "Studies that the draft or the published version schedules",
"items": {
"type": "string"
}
}
},
"required": [
"id",
"name",
"is_default",
"draft_revision",
"published_revision",
"study_ids"
]
}
},
"warnings": {
"type": "array",
"items": {
"type": "string"
}
}
},
"required": [
"id",
"name",
"is_default",
"created_at",
"updated_at",
"draft_version_id",
"published_version_id",
"revisions",
"warnings",
"delivered_client_count",
"delivered_clients",
"schedule_configs"
]
}
},
"required": [
"public_config"
]
}
PUT /public_configs/{id}¶
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
ApiKeyAuth |
header | string | N/A | No | API key used on every request. Create keys in the Surfmeter Dashboard under Keys → Surfmeter API Keys. |
id |
path | string | No |
Request body
Response 200 OK
{
"public_config": {
"id": 0,
"name": "string",
"description": "string",
"import_source": "string",
"is_default": true,
"created_at": "string",
"updated_at": "string",
"draft_version_id": 0,
"published_version_id": 0,
"draft_revision": 0,
"published_revision": 0,
"draft_version": {
"id": 0,
"revision": 0,
"data": {},
"data_hash": "string",
"created_at": "string",
"updated_at": "string",
"created_by_id": 0,
"created_by_name": "string",
"published_at": "string",
"published_by_id": 0,
"published_by_name": "string",
"published": true,
"study_count": 0,
"studies": [
{
"id": 0,
"position": 0,
"study_description_version_id": 0,
"study_description_id": 0,
"revision": 0,
"latest_revision": 0,
"latest_version_id": 0,
"name": "string",
"study_id": "string",
"study_type": "string",
"subject": "string",
"internal_id": "string"
}
]
},
"published_version": {
"id": 0,
"revision": 0,
"data": {},
"data_hash": "string",
"created_at": "string",
"updated_at": "string",
"created_by_id": 0,
"created_by_name": "string",
"published_at": "string",
"published_by_id": 0,
"published_by_name": "string",
"published": true,
"study_count": 0,
"studies": [
{
"id": 0,
"position": 0,
"study_description_version_id": 0,
"study_description_id": 0,
"revision": 0,
"latest_revision": 0,
"latest_version_id": 0,
"name": "string",
"study_id": "string",
"study_type": "string",
"subject": "string",
"internal_id": "string"
}
]
},
"revisions": [
{
"id": 0,
"revision": 0,
"data_hash": "string",
"created_at": "string",
"updated_at": "string",
"created_by_id": 0,
"created_by_name": "string",
"published_at": "string",
"published_by_id": 0,
"published_by_name": "string",
"published": true,
"study_count": 0
}
],
"delivered_client_count": 0,
"delivered_clients": [
{
"id": 0,
"uuid": "string",
"label": "string",
"last_seen_at": "2026-01-15T10:30:00Z"
}
],
"schedule_configs": [
{
"id": 0,
"name": "string",
"is_default": true,
"draft_revision": 0,
"published_revision": 0,
"study_ids": [
"string"
]
}
],
"warnings": [
"string"
]
}
}
Schema of the response body
{
"type": "object",
"properties": {
"public_config": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"name": {
"type": "string"
},
"description": {
"type": "string",
"nullable": true
},
"import_source": {
"type": "string",
"nullable": true
},
"is_default": {
"type": "boolean"
},
"created_at": {
"type": "string"
},
"updated_at": {
"type": "string"
},
"draft_version_id": {
"type": "integer",
"nullable": true
},
"published_version_id": {
"type": "integer",
"nullable": true
},
"draft_revision": {
"type": "integer",
"nullable": true
},
"published_revision": {
"type": "integer",
"nullable": true
},
"draft_version": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"revision": {
"type": "integer"
},
"data": {
"type": "object"
},
"data_hash": {
"type": "string"
},
"created_at": {
"type": "string"
},
"updated_at": {
"type": "string"
},
"created_by_id": {
"type": "integer",
"nullable": true
},
"created_by_name": {
"type": "string",
"nullable": true
},
"published_at": {
"type": "string",
"nullable": true
},
"published_by_id": {
"type": "integer",
"nullable": true
},
"published_by_name": {
"type": "string",
"nullable": true
},
"published": {
"type": "boolean"
},
"study_count": {
"type": "integer"
},
"studies": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"position": {
"type": "integer"
},
"study_description_version_id": {
"type": "integer"
},
"study_description_id": {
"type": "integer"
},
"revision": {
"type": "integer"
},
"latest_revision": {
"type": "integer",
"description": "The newest revision of the study",
"nullable": true
},
"latest_version_id": {
"type": "integer",
"description": "The study description version of the newest revision",
"nullable": true
},
"name": {
"type": "string"
},
"study_id": {
"type": "string"
},
"study_type": {
"type": "string"
},
"subject": {
"type": "string"
},
"internal_id": {
"type": "string"
}
},
"required": [
"id",
"position",
"study_description_version_id",
"study_description_id",
"name",
"study_id",
"study_type",
"subject",
"internal_id",
"revision"
]
}
}
},
"required": [
"id",
"revision",
"data",
"data_hash",
"created_at",
"updated_at",
"published",
"study_count",
"studies"
],
"nullable": true
},
"published_version": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"revision": {
"type": "integer"
},
"data": {
"type": "object"
},
"data_hash": {
"type": "string"
},
"created_at": {
"type": "string"
},
"updated_at": {
"type": "string"
},
"created_by_id": {
"type": "integer",
"nullable": true
},
"created_by_name": {
"type": "string",
"nullable": true
},
"published_at": {
"type": "string",
"nullable": true
},
"published_by_id": {
"type": "integer",
"nullable": true
},
"published_by_name": {
"type": "string",
"nullable": true
},
"published": {
"type": "boolean"
},
"study_count": {
"type": "integer"
},
"studies": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"position": {
"type": "integer"
},
"study_description_version_id": {
"type": "integer"
},
"study_description_id": {
"type": "integer"
},
"revision": {
"type": "integer"
},
"latest_revision": {
"type": "integer",
"description": "The newest revision of the study",
"nullable": true
},
"latest_version_id": {
"type": "integer",
"description": "The study description version of the newest revision",
"nullable": true
},
"name": {
"type": "string"
},
"study_id": {
"type": "string"
},
"study_type": {
"type": "string"
},
"subject": {
"type": "string"
},
"internal_id": {
"type": "string"
}
},
"required": [
"id",
"position",
"study_description_version_id",
"study_description_id",
"name",
"study_id",
"study_type",
"subject",
"internal_id",
"revision"
]
}
}
},
"required": [
"id",
"revision",
"data",
"data_hash",
"created_at",
"updated_at",
"published",
"study_count",
"studies"
],
"nullable": true
},
"revisions": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"revision": {
"type": "integer"
},
"data_hash": {
"type": "string"
},
"created_at": {
"type": "string"
},
"updated_at": {
"type": "string"
},
"created_by_id": {
"type": "integer",
"nullable": true
},
"created_by_name": {
"type": "string",
"nullable": true
},
"published_at": {
"type": "string",
"nullable": true
},
"published_by_id": {
"type": "integer",
"nullable": true
},
"published_by_name": {
"type": "string",
"nullable": true
},
"published": {
"type": "boolean"
},
"study_count": {
"type": "integer"
}
},
"required": [
"id",
"revision",
"data_hash",
"created_at",
"updated_at",
"published",
"study_count"
]
}
},
"delivered_client_count": {
"type": "integer",
"description": "Managed clients that get this config at their next check"
},
"delivered_clients": {
"type": "array",
"description": "Managed clients that get this config at their next check, sorted by label",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"uuid": {
"type": "string"
},
"label": {
"type": "string",
"nullable": true
},
"last_seen_at": {
"type": "string",
"format": "date-time",
"nullable": true,
"example": "2026-01-15T10:30:00Z"
}
},
"required": [
"id",
"uuid",
"label",
"last_seen_at"
]
}
},
"schedule_configs": {
"type": "array",
"description": "Schedule configs that use this measurement config, sorted by name",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"name": {
"type": "string"
},
"is_default": {
"type": "boolean"
},
"draft_revision": {
"type": "integer",
"nullable": true
},
"published_revision": {
"type": "integer",
"nullable": true
},
"study_ids": {
"type": "array",
"description": "Studies that the draft or the published version schedules",
"items": {
"type": "string"
}
}
},
"required": [
"id",
"name",
"is_default",
"draft_revision",
"published_revision",
"study_ids"
]
}
},
"warnings": {
"type": "array",
"items": {
"type": "string"
}
}
},
"required": [
"id",
"name",
"is_default",
"created_at",
"updated_at",
"draft_version_id",
"published_version_id",
"revisions",
"warnings",
"delivered_client_count",
"delivered_clients",
"schedule_configs"
]
}
},
"required": [
"public_config"
]
}
DELETE /public_configs/{id}¶
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
ApiKeyAuth |
header | string | N/A | No | API key used on every request. Create keys in the Surfmeter Dashboard under Keys → Surfmeter API Keys. |
id |
path | string | No |
Response 200 OK
GET /public_configs/{id}/preview¶
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
ApiKeyAuth |
header | string | N/A | No | API key used on every request. Create keys in the Surfmeter Dashboard under Keys → Surfmeter API Keys. |
id |
path | string | No |
Response 200 OK
{
"public_config": {
"id": 0,
"version_id": 0,
"revision": 0,
"published": true,
"client_id": 0,
"document": {},
"warnings": [
"string"
]
}
}
Schema of the response body
{
"type": "object",
"properties": {
"public_config": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"version_id": {
"type": "integer"
},
"revision": {
"type": "integer"
},
"published": {
"type": "boolean"
},
"client_id": {
"type": "integer",
"description": "The client the document was composed for, if any",
"nullable": true
},
"document": {
"type": "object"
},
"warnings": {
"type": "array",
"items": {
"type": "string"
},
"description": "Studies the capability of the client's registration key does not allow"
}
},
"required": [
"id",
"version_id",
"revision",
"published",
"client_id",
"document",
"warnings"
]
}
},
"required": [
"public_config"
]
}
POST /public_configs/{id}/publish¶
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
ApiKeyAuth |
header | string | N/A | No | API key used on every request. Create keys in the Surfmeter Dashboard under Keys → Surfmeter API Keys. |
id |
path | string | No |
Response 200 OK
{
"public_config": {
"id": 0,
"name": "string",
"description": "string",
"import_source": "string",
"is_default": true,
"created_at": "string",
"updated_at": "string",
"draft_version_id": 0,
"published_version_id": 0,
"draft_revision": 0,
"published_revision": 0,
"draft_version": {
"id": 0,
"revision": 0,
"data": {},
"data_hash": "string",
"created_at": "string",
"updated_at": "string",
"created_by_id": 0,
"created_by_name": "string",
"published_at": "string",
"published_by_id": 0,
"published_by_name": "string",
"published": true,
"study_count": 0,
"studies": [
{
"id": 0,
"position": 0,
"study_description_version_id": 0,
"study_description_id": 0,
"revision": 0,
"latest_revision": 0,
"latest_version_id": 0,
"name": "string",
"study_id": "string",
"study_type": "string",
"subject": "string",
"internal_id": "string"
}
]
},
"published_version": {
"id": 0,
"revision": 0,
"data": {},
"data_hash": "string",
"created_at": "string",
"updated_at": "string",
"created_by_id": 0,
"created_by_name": "string",
"published_at": "string",
"published_by_id": 0,
"published_by_name": "string",
"published": true,
"study_count": 0,
"studies": [
{
"id": 0,
"position": 0,
"study_description_version_id": 0,
"study_description_id": 0,
"revision": 0,
"latest_revision": 0,
"latest_version_id": 0,
"name": "string",
"study_id": "string",
"study_type": "string",
"subject": "string",
"internal_id": "string"
}
]
},
"revisions": [
{
"id": 0,
"revision": 0,
"data_hash": "string",
"created_at": "string",
"updated_at": "string",
"created_by_id": 0,
"created_by_name": "string",
"published_at": "string",
"published_by_id": 0,
"published_by_name": "string",
"published": true,
"study_count": 0
}
],
"delivered_client_count": 0,
"delivered_clients": [
{
"id": 0,
"uuid": "string",
"label": "string",
"last_seen_at": "2026-01-15T10:30:00Z"
}
],
"schedule_configs": [
{
"id": 0,
"name": "string",
"is_default": true,
"draft_revision": 0,
"published_revision": 0,
"study_ids": [
"string"
]
}
],
"warnings": [
"string"
]
}
}
Schema of the response body
{
"type": "object",
"properties": {
"public_config": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"name": {
"type": "string"
},
"description": {
"type": "string",
"nullable": true
},
"import_source": {
"type": "string",
"nullable": true
},
"is_default": {
"type": "boolean"
},
"created_at": {
"type": "string"
},
"updated_at": {
"type": "string"
},
"draft_version_id": {
"type": "integer",
"nullable": true
},
"published_version_id": {
"type": "integer",
"nullable": true
},
"draft_revision": {
"type": "integer",
"nullable": true
},
"published_revision": {
"type": "integer",
"nullable": true
},
"draft_version": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"revision": {
"type": "integer"
},
"data": {
"type": "object"
},
"data_hash": {
"type": "string"
},
"created_at": {
"type": "string"
},
"updated_at": {
"type": "string"
},
"created_by_id": {
"type": "integer",
"nullable": true
},
"created_by_name": {
"type": "string",
"nullable": true
},
"published_at": {
"type": "string",
"nullable": true
},
"published_by_id": {
"type": "integer",
"nullable": true
},
"published_by_name": {
"type": "string",
"nullable": true
},
"published": {
"type": "boolean"
},
"study_count": {
"type": "integer"
},
"studies": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"position": {
"type": "integer"
},
"study_description_version_id": {
"type": "integer"
},
"study_description_id": {
"type": "integer"
},
"revision": {
"type": "integer"
},
"latest_revision": {
"type": "integer",
"description": "The newest revision of the study",
"nullable": true
},
"latest_version_id": {
"type": "integer",
"description": "The study description version of the newest revision",
"nullable": true
},
"name": {
"type": "string"
},
"study_id": {
"type": "string"
},
"study_type": {
"type": "string"
},
"subject": {
"type": "string"
},
"internal_id": {
"type": "string"
}
},
"required": [
"id",
"position",
"study_description_version_id",
"study_description_id",
"name",
"study_id",
"study_type",
"subject",
"internal_id",
"revision"
]
}
}
},
"required": [
"id",
"revision",
"data",
"data_hash",
"created_at",
"updated_at",
"published",
"study_count",
"studies"
],
"nullable": true
},
"published_version": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"revision": {
"type": "integer"
},
"data": {
"type": "object"
},
"data_hash": {
"type": "string"
},
"created_at": {
"type": "string"
},
"updated_at": {
"type": "string"
},
"created_by_id": {
"type": "integer",
"nullable": true
},
"created_by_name": {
"type": "string",
"nullable": true
},
"published_at": {
"type": "string",
"nullable": true
},
"published_by_id": {
"type": "integer",
"nullable": true
},
"published_by_name": {
"type": "string",
"nullable": true
},
"published": {
"type": "boolean"
},
"study_count": {
"type": "integer"
},
"studies": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"position": {
"type": "integer"
},
"study_description_version_id": {
"type": "integer"
},
"study_description_id": {
"type": "integer"
},
"revision": {
"type": "integer"
},
"latest_revision": {
"type": "integer",
"description": "The newest revision of the study",
"nullable": true
},
"latest_version_id": {
"type": "integer",
"description": "The study description version of the newest revision",
"nullable": true
},
"name": {
"type": "string"
},
"study_id": {
"type": "string"
},
"study_type": {
"type": "string"
},
"subject": {
"type": "string"
},
"internal_id": {
"type": "string"
}
},
"required": [
"id",
"position",
"study_description_version_id",
"study_description_id",
"name",
"study_id",
"study_type",
"subject",
"internal_id",
"revision"
]
}
}
},
"required": [
"id",
"revision",
"data",
"data_hash",
"created_at",
"updated_at",
"published",
"study_count",
"studies"
],
"nullable": true
},
"revisions": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"revision": {
"type": "integer"
},
"data_hash": {
"type": "string"
},
"created_at": {
"type": "string"
},
"updated_at": {
"type": "string"
},
"created_by_id": {
"type": "integer",
"nullable": true
},
"created_by_name": {
"type": "string",
"nullable": true
},
"published_at": {
"type": "string",
"nullable": true
},
"published_by_id": {
"type": "integer",
"nullable": true
},
"published_by_name": {
"type": "string",
"nullable": true
},
"published": {
"type": "boolean"
},
"study_count": {
"type": "integer"
}
},
"required": [
"id",
"revision",
"data_hash",
"created_at",
"updated_at",
"published",
"study_count"
]
}
},
"delivered_client_count": {
"type": "integer",
"description": "Managed clients that get this config at their next check"
},
"delivered_clients": {
"type": "array",
"description": "Managed clients that get this config at their next check, sorted by label",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"uuid": {
"type": "string"
},
"label": {
"type": "string",
"nullable": true
},
"last_seen_at": {
"type": "string",
"format": "date-time",
"nullable": true,
"example": "2026-01-15T10:30:00Z"
}
},
"required": [
"id",
"uuid",
"label",
"last_seen_at"
]
}
},
"schedule_configs": {
"type": "array",
"description": "Schedule configs that use this measurement config, sorted by name",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"name": {
"type": "string"
},
"is_default": {
"type": "boolean"
},
"draft_revision": {
"type": "integer",
"nullable": true
},
"published_revision": {
"type": "integer",
"nullable": true
},
"study_ids": {
"type": "array",
"description": "Studies that the draft or the published version schedules",
"items": {
"type": "string"
}
}
},
"required": [
"id",
"name",
"is_default",
"draft_revision",
"published_revision",
"study_ids"
]
}
},
"warnings": {
"type": "array",
"items": {
"type": "string"
}
}
},
"required": [
"id",
"name",
"is_default",
"created_at",
"updated_at",
"draft_version_id",
"published_version_id",
"revisions",
"warnings",
"delivered_client_count",
"delivered_clients",
"schedule_configs"
]
}
},
"required": [
"public_config"
]
}
POST /public_configs/{id}/rollback¶
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
ApiKeyAuth |
header | string | N/A | No | API key used on every request. Create keys in the Surfmeter Dashboard under Keys → Surfmeter API Keys. |
id |
path | string | No |
Request body
Response 200 OK
{
"public_config": {
"id": 0,
"name": "string",
"description": "string",
"import_source": "string",
"is_default": true,
"created_at": "string",
"updated_at": "string",
"draft_version_id": 0,
"published_version_id": 0,
"draft_revision": 0,
"published_revision": 0,
"draft_version": {
"id": 0,
"revision": 0,
"data": {},
"data_hash": "string",
"created_at": "string",
"updated_at": "string",
"created_by_id": 0,
"created_by_name": "string",
"published_at": "string",
"published_by_id": 0,
"published_by_name": "string",
"published": true,
"study_count": 0,
"studies": [
{
"id": 0,
"position": 0,
"study_description_version_id": 0,
"study_description_id": 0,
"revision": 0,
"latest_revision": 0,
"latest_version_id": 0,
"name": "string",
"study_id": "string",
"study_type": "string",
"subject": "string",
"internal_id": "string"
}
]
},
"published_version": {
"id": 0,
"revision": 0,
"data": {},
"data_hash": "string",
"created_at": "string",
"updated_at": "string",
"created_by_id": 0,
"created_by_name": "string",
"published_at": "string",
"published_by_id": 0,
"published_by_name": "string",
"published": true,
"study_count": 0,
"studies": [
{
"id": 0,
"position": 0,
"study_description_version_id": 0,
"study_description_id": 0,
"revision": 0,
"latest_revision": 0,
"latest_version_id": 0,
"name": "string",
"study_id": "string",
"study_type": "string",
"subject": "string",
"internal_id": "string"
}
]
},
"revisions": [
{
"id": 0,
"revision": 0,
"data_hash": "string",
"created_at": "string",
"updated_at": "string",
"created_by_id": 0,
"created_by_name": "string",
"published_at": "string",
"published_by_id": 0,
"published_by_name": "string",
"published": true,
"study_count": 0
}
],
"delivered_client_count": 0,
"delivered_clients": [
{
"id": 0,
"uuid": "string",
"label": "string",
"last_seen_at": "2026-01-15T10:30:00Z"
}
],
"schedule_configs": [
{
"id": 0,
"name": "string",
"is_default": true,
"draft_revision": 0,
"published_revision": 0,
"study_ids": [
"string"
]
}
],
"warnings": [
"string"
]
}
}
Schema of the response body
{
"type": "object",
"properties": {
"public_config": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"name": {
"type": "string"
},
"description": {
"type": "string",
"nullable": true
},
"import_source": {
"type": "string",
"nullable": true
},
"is_default": {
"type": "boolean"
},
"created_at": {
"type": "string"
},
"updated_at": {
"type": "string"
},
"draft_version_id": {
"type": "integer",
"nullable": true
},
"published_version_id": {
"type": "integer",
"nullable": true
},
"draft_revision": {
"type": "integer",
"nullable": true
},
"published_revision": {
"type": "integer",
"nullable": true
},
"draft_version": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"revision": {
"type": "integer"
},
"data": {
"type": "object"
},
"data_hash": {
"type": "string"
},
"created_at": {
"type": "string"
},
"updated_at": {
"type": "string"
},
"created_by_id": {
"type": "integer",
"nullable": true
},
"created_by_name": {
"type": "string",
"nullable": true
},
"published_at": {
"type": "string",
"nullable": true
},
"published_by_id": {
"type": "integer",
"nullable": true
},
"published_by_name": {
"type": "string",
"nullable": true
},
"published": {
"type": "boolean"
},
"study_count": {
"type": "integer"
},
"studies": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"position": {
"type": "integer"
},
"study_description_version_id": {
"type": "integer"
},
"study_description_id": {
"type": "integer"
},
"revision": {
"type": "integer"
},
"latest_revision": {
"type": "integer",
"description": "The newest revision of the study",
"nullable": true
},
"latest_version_id": {
"type": "integer",
"description": "The study description version of the newest revision",
"nullable": true
},
"name": {
"type": "string"
},
"study_id": {
"type": "string"
},
"study_type": {
"type": "string"
},
"subject": {
"type": "string"
},
"internal_id": {
"type": "string"
}
},
"required": [
"id",
"position",
"study_description_version_id",
"study_description_id",
"name",
"study_id",
"study_type",
"subject",
"internal_id",
"revision"
]
}
}
},
"required": [
"id",
"revision",
"data",
"data_hash",
"created_at",
"updated_at",
"published",
"study_count",
"studies"
],
"nullable": true
},
"published_version": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"revision": {
"type": "integer"
},
"data": {
"type": "object"
},
"data_hash": {
"type": "string"
},
"created_at": {
"type": "string"
},
"updated_at": {
"type": "string"
},
"created_by_id": {
"type": "integer",
"nullable": true
},
"created_by_name": {
"type": "string",
"nullable": true
},
"published_at": {
"type": "string",
"nullable": true
},
"published_by_id": {
"type": "integer",
"nullable": true
},
"published_by_name": {
"type": "string",
"nullable": true
},
"published": {
"type": "boolean"
},
"study_count": {
"type": "integer"
},
"studies": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"position": {
"type": "integer"
},
"study_description_version_id": {
"type": "integer"
},
"study_description_id": {
"type": "integer"
},
"revision": {
"type": "integer"
},
"latest_revision": {
"type": "integer",
"description": "The newest revision of the study",
"nullable": true
},
"latest_version_id": {
"type": "integer",
"description": "The study description version of the newest revision",
"nullable": true
},
"name": {
"type": "string"
},
"study_id": {
"type": "string"
},
"study_type": {
"type": "string"
},
"subject": {
"type": "string"
},
"internal_id": {
"type": "string"
}
},
"required": [
"id",
"position",
"study_description_version_id",
"study_description_id",
"name",
"study_id",
"study_type",
"subject",
"internal_id",
"revision"
]
}
}
},
"required": [
"id",
"revision",
"data",
"data_hash",
"created_at",
"updated_at",
"published",
"study_count",
"studies"
],
"nullable": true
},
"revisions": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"revision": {
"type": "integer"
},
"data_hash": {
"type": "string"
},
"created_at": {
"type": "string"
},
"updated_at": {
"type": "string"
},
"created_by_id": {
"type": "integer",
"nullable": true
},
"created_by_name": {
"type": "string",
"nullable": true
},
"published_at": {
"type": "string",
"nullable": true
},
"published_by_id": {
"type": "integer",
"nullable": true
},
"published_by_name": {
"type": "string",
"nullable": true
},
"published": {
"type": "boolean"
},
"study_count": {
"type": "integer"
}
},
"required": [
"id",
"revision",
"data_hash",
"created_at",
"updated_at",
"published",
"study_count"
]
}
},
"delivered_client_count": {
"type": "integer",
"description": "Managed clients that get this config at their next check"
},
"delivered_clients": {
"type": "array",
"description": "Managed clients that get this config at their next check, sorted by label",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"uuid": {
"type": "string"
},
"label": {
"type": "string",
"nullable": true
},
"last_seen_at": {
"type": "string",
"format": "date-time",
"nullable": true,
"example": "2026-01-15T10:30:00Z"
}
},
"required": [
"id",
"uuid",
"label",
"last_seen_at"
]
}
},
"schedule_configs": {
"type": "array",
"description": "Schedule configs that use this measurement config, sorted by name",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"name": {
"type": "string"
},
"is_default": {
"type": "boolean"
},
"draft_revision": {
"type": "integer",
"nullable": true
},
"published_revision": {
"type": "integer",
"nullable": true
},
"study_ids": {
"type": "array",
"description": "Studies that the draft or the published version schedules",
"items": {
"type": "string"
}
}
},
"required": [
"id",
"name",
"is_default",
"draft_revision",
"published_revision",
"study_ids"
]
}
},
"warnings": {
"type": "array",
"items": {
"type": "string"
}
}
},
"required": [
"id",
"name",
"is_default",
"created_at",
"updated_at",
"draft_version_id",
"published_version_id",
"revisions",
"warnings",
"delivered_client_count",
"delivered_clients",
"schedule_configs"
]
}
},
"required": [
"public_config"
]
}
POST /public_configs/{id}/duplicate¶
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
ApiKeyAuth |
header | string | N/A | No | API key used on every request. Create keys in the Surfmeter Dashboard under Keys → Surfmeter API Keys. |
id |
path | string | No |
Response 200 OK
{
"public_config": {
"id": 0,
"name": "string",
"description": "string",
"import_source": "string",
"is_default": true,
"created_at": "string",
"updated_at": "string",
"draft_version_id": 0,
"published_version_id": 0,
"draft_revision": 0,
"published_revision": 0,
"draft_version": {
"id": 0,
"revision": 0,
"data": {},
"data_hash": "string",
"created_at": "string",
"updated_at": "string",
"created_by_id": 0,
"created_by_name": "string",
"published_at": "string",
"published_by_id": 0,
"published_by_name": "string",
"published": true,
"study_count": 0,
"studies": [
{
"id": 0,
"position": 0,
"study_description_version_id": 0,
"study_description_id": 0,
"revision": 0,
"latest_revision": 0,
"latest_version_id": 0,
"name": "string",
"study_id": "string",
"study_type": "string",
"subject": "string",
"internal_id": "string"
}
]
},
"published_version": {
"id": 0,
"revision": 0,
"data": {},
"data_hash": "string",
"created_at": "string",
"updated_at": "string",
"created_by_id": 0,
"created_by_name": "string",
"published_at": "string",
"published_by_id": 0,
"published_by_name": "string",
"published": true,
"study_count": 0,
"studies": [
{
"id": 0,
"position": 0,
"study_description_version_id": 0,
"study_description_id": 0,
"revision": 0,
"latest_revision": 0,
"latest_version_id": 0,
"name": "string",
"study_id": "string",
"study_type": "string",
"subject": "string",
"internal_id": "string"
}
]
},
"revisions": [
{
"id": 0,
"revision": 0,
"data_hash": "string",
"created_at": "string",
"updated_at": "string",
"created_by_id": 0,
"created_by_name": "string",
"published_at": "string",
"published_by_id": 0,
"published_by_name": "string",
"published": true,
"study_count": 0
}
],
"delivered_client_count": 0,
"delivered_clients": [
{
"id": 0,
"uuid": "string",
"label": "string",
"last_seen_at": "2026-01-15T10:30:00Z"
}
],
"schedule_configs": [
{
"id": 0,
"name": "string",
"is_default": true,
"draft_revision": 0,
"published_revision": 0,
"study_ids": [
"string"
]
}
],
"warnings": [
"string"
]
}
}
Schema of the response body
{
"type": "object",
"properties": {
"public_config": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"name": {
"type": "string"
},
"description": {
"type": "string",
"nullable": true
},
"import_source": {
"type": "string",
"nullable": true
},
"is_default": {
"type": "boolean"
},
"created_at": {
"type": "string"
},
"updated_at": {
"type": "string"
},
"draft_version_id": {
"type": "integer",
"nullable": true
},
"published_version_id": {
"type": "integer",
"nullable": true
},
"draft_revision": {
"type": "integer",
"nullable": true
},
"published_revision": {
"type": "integer",
"nullable": true
},
"draft_version": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"revision": {
"type": "integer"
},
"data": {
"type": "object"
},
"data_hash": {
"type": "string"
},
"created_at": {
"type": "string"
},
"updated_at": {
"type": "string"
},
"created_by_id": {
"type": "integer",
"nullable": true
},
"created_by_name": {
"type": "string",
"nullable": true
},
"published_at": {
"type": "string",
"nullable": true
},
"published_by_id": {
"type": "integer",
"nullable": true
},
"published_by_name": {
"type": "string",
"nullable": true
},
"published": {
"type": "boolean"
},
"study_count": {
"type": "integer"
},
"studies": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"position": {
"type": "integer"
},
"study_description_version_id": {
"type": "integer"
},
"study_description_id": {
"type": "integer"
},
"revision": {
"type": "integer"
},
"latest_revision": {
"type": "integer",
"description": "The newest revision of the study",
"nullable": true
},
"latest_version_id": {
"type": "integer",
"description": "The study description version of the newest revision",
"nullable": true
},
"name": {
"type": "string"
},
"study_id": {
"type": "string"
},
"study_type": {
"type": "string"
},
"subject": {
"type": "string"
},
"internal_id": {
"type": "string"
}
},
"required": [
"id",
"position",
"study_description_version_id",
"study_description_id",
"name",
"study_id",
"study_type",
"subject",
"internal_id",
"revision"
]
}
}
},
"required": [
"id",
"revision",
"data",
"data_hash",
"created_at",
"updated_at",
"published",
"study_count",
"studies"
],
"nullable": true
},
"published_version": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"revision": {
"type": "integer"
},
"data": {
"type": "object"
},
"data_hash": {
"type": "string"
},
"created_at": {
"type": "string"
},
"updated_at": {
"type": "string"
},
"created_by_id": {
"type": "integer",
"nullable": true
},
"created_by_name": {
"type": "string",
"nullable": true
},
"published_at": {
"type": "string",
"nullable": true
},
"published_by_id": {
"type": "integer",
"nullable": true
},
"published_by_name": {
"type": "string",
"nullable": true
},
"published": {
"type": "boolean"
},
"study_count": {
"type": "integer"
},
"studies": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"position": {
"type": "integer"
},
"study_description_version_id": {
"type": "integer"
},
"study_description_id": {
"type": "integer"
},
"revision": {
"type": "integer"
},
"latest_revision": {
"type": "integer",
"description": "The newest revision of the study",
"nullable": true
},
"latest_version_id": {
"type": "integer",
"description": "The study description version of the newest revision",
"nullable": true
},
"name": {
"type": "string"
},
"study_id": {
"type": "string"
},
"study_type": {
"type": "string"
},
"subject": {
"type": "string"
},
"internal_id": {
"type": "string"
}
},
"required": [
"id",
"position",
"study_description_version_id",
"study_description_id",
"name",
"study_id",
"study_type",
"subject",
"internal_id",
"revision"
]
}
}
},
"required": [
"id",
"revision",
"data",
"data_hash",
"created_at",
"updated_at",
"published",
"study_count",
"studies"
],
"nullable": true
},
"revisions": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"revision": {
"type": "integer"
},
"data_hash": {
"type": "string"
},
"created_at": {
"type": "string"
},
"updated_at": {
"type": "string"
},
"created_by_id": {
"type": "integer",
"nullable": true
},
"created_by_name": {
"type": "string",
"nullable": true
},
"published_at": {
"type": "string",
"nullable": true
},
"published_by_id": {
"type": "integer",
"nullable": true
},
"published_by_name": {
"type": "string",
"nullable": true
},
"published": {
"type": "boolean"
},
"study_count": {
"type": "integer"
}
},
"required": [
"id",
"revision",
"data_hash",
"created_at",
"updated_at",
"published",
"study_count"
]
}
},
"delivered_client_count": {
"type": "integer",
"description": "Managed clients that get this config at their next check"
},
"delivered_clients": {
"type": "array",
"description": "Managed clients that get this config at their next check, sorted by label",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"uuid": {
"type": "string"
},
"label": {
"type": "string",
"nullable": true
},
"last_seen_at": {
"type": "string",
"format": "date-time",
"nullable": true,
"example": "2026-01-15T10:30:00Z"
}
},
"required": [
"id",
"uuid",
"label",
"last_seen_at"
]
}
},
"schedule_configs": {
"type": "array",
"description": "Schedule configs that use this measurement config, sorted by name",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"name": {
"type": "string"
},
"is_default": {
"type": "boolean"
},
"draft_revision": {
"type": "integer",
"nullable": true
},
"published_revision": {
"type": "integer",
"nullable": true
},
"study_ids": {
"type": "array",
"description": "Studies that the draft or the published version schedules",
"items": {
"type": "string"
}
}
},
"required": [
"id",
"name",
"is_default",
"draft_revision",
"published_revision",
"study_ids"
]
}
},
"warnings": {
"type": "array",
"items": {
"type": "string"
}
}
},
"required": [
"id",
"name",
"is_default",
"created_at",
"updated_at",
"draft_version_id",
"published_version_id",
"revisions",
"warnings",
"delivered_client_count",
"delivered_clients",
"schedule_configs"
]
}
},
"required": [
"public_config"
]
}
Schemas¶
PublicConfigCreateData¶
| Name | Type |
|---|---|
description |
string| null |
is_default |
boolean |
name |
string |
study_description_version_ids |
Array<integer> |
PublicConfigCreateResponse¶
| Name | Type |
|---|---|
public_config |
Properties: id, name, description, import_source, is_default, created_at, updated_at, draft_version_id, published_version_id, draft_revision, published_revision, draft_version, published_version, revisions, delivered_client_count, delivered_clients, schedule_configs, warnings |
PublicConfigDestroyResponse¶
PublicConfigDuplicateResponse¶
| Name | Type |
|---|---|
public_config |
Properties: id, name, description, import_source, is_default, created_at, updated_at, draft_version_id, published_version_id, draft_revision, published_revision, draft_version, published_version, revisions, delivered_client_count, delivered_clients, schedule_configs, warnings |
PublicConfigImportData¶
| Name | Type |
|---|---|
document |
|
name |
string |
PublicConfigImportResponse¶
| Name | Type |
|---|---|
import |
Properties: study_descriptions, service_credentials, warnings |
public_config |
Properties: id, name, description, import_source, is_default, created_at, updated_at, draft_version_id, published_version_id, draft_revision, published_revision, draft_version, published_version, revisions, delivered_client_count, delivered_clients, schedule_configs, warnings |
PublicConfigIndexResponse¶
| Name | Type |
|---|---|
public_configs |
Array<Properties: id, name, description, import_source, is_default, created_at, updated_at, draft_version_id, published_version_id, draft_revision, published_revision> |
PublicConfigPreviewResponse¶
| Name | Type |
|---|---|
public_config |
Properties: id, version_id, revision, published, client_id, document, warnings |
PublicConfigPublishResponse¶
| Name | Type |
|---|---|
public_config |
Properties: id, name, description, import_source, is_default, created_at, updated_at, draft_version_id, published_version_id, draft_revision, published_revision, draft_version, published_version, revisions, delivered_client_count, delivered_clients, schedule_configs, warnings |
PublicConfigRollbackData¶
| Name | Type |
|---|---|
version_id |
integer |
PublicConfigRollbackResponse¶
| Name | Type |
|---|---|
public_config |
Properties: id, name, description, import_source, is_default, created_at, updated_at, draft_version_id, published_version_id, draft_revision, published_revision, draft_version, published_version, revisions, delivered_client_count, delivered_clients, schedule_configs, warnings |
PublicConfigShowResponse¶
| Name | Type |
|---|---|
public_config |
Properties: id, name, description, import_source, is_default, created_at, updated_at, draft_version_id, published_version_id, draft_revision, published_revision, draft_version, published_version, revisions, delivered_client_count, delivered_clients, schedule_configs, warnings |
PublicConfigUpdateData¶
| Name | Type |
|---|---|
description |
string| null |
is_default |
boolean |
name |
string |
study_description_version_ids |
Array<integer> |
PublicConfigUpdateResponse¶
| Name | Type |
|---|---|
public_config |
Properties: id, name, description, import_source, is_default, created_at, updated_at, draft_version_id, published_version_id, draft_revision, published_revision, draft_version, published_version, revisions, delivered_client_count, delivered_clients, schedule_configs, warnings |
Security schemes¶
| Name | Type | Scheme | Description |
|---|---|---|---|
| ApiKeyAuth | apiKey | API key used on every request. Create keys in the Surfmeter Dashboard under Keys → Surfmeter API Keys. |